Bug 1230833 - Use old pom file
Summary: Use old pom file
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: findbugs-bcel
Version: 21
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
Assignee: Richard Fearn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1195809
TreeView+ depends on / blocked
 
Reported: 2015-06-11 15:11 UTC by gil cattaneo
Modified: 2015-07-03 18:48 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-22 10:33:59 UTC


Attachments (Terms of Use)
use correct pom file (5.67 KB, patch)
2015-06-11 15:13 UTC, gil cattaneo
no flags Details | Diff
use correct pom file (22.04 KB, patch)
2015-06-11 16:07 UTC, gil cattaneo
no flags Details | Diff

Description gil cattaneo 2015-06-11 15:11:42 UTC
Description of problem:
The new finbugs package use com.google.code.findbugs:bcel-findbugs:6.0
and this break the dependency tree when finbugs (or its modules) is required for a build


Version-Release number of selected component (if applicable):
6.0-0.2.20140707svn1547656

How reproducible:
Always

Comment 1 gil cattaneo 2015-06-11 15:13:37 UTC
Created attachment 1037746 [details]
use correct pom file

- increase javac/doc source/target to 1.6
- add alias for backward compatibility
- adapt to current guideline
- introduce license macro

Comment 2 gil cattaneo 2015-06-11 16:07:08 UTC
Created attachment 1037770 [details]
use correct pom file

- fix java8doc errors

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10020276

Comment 3 Richard Fearn 2015-06-11 16:28:17 UTC
New builds with correct POM:

F21: http://koji.fedoraproject.org/koji/taskinfo?taskID=10020252
F22: http://koji.fedoraproject.org/koji/taskinfo?taskID=10020254
rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=10020531

I'm leaving the guideline changes for now, as I want to tackle them all (including for my other Java packages) in one go...

Comment 4 Richard Fearn 2015-06-11 16:29:52 UTC
Regarding the Javadoc: I'm not sure there's any sense in trying to fix the Javadoc comments in the source code, as this is a snapshot of BCEL that works with FindBugs 3.0. Instead I've disabled doclint. One day, I'm hoping this package will disappear altogether :)

Comment 5 gil cattaneo 2015-06-11 16:40:26 UTC
(In reply to Richard Fearn from comment #4)
> Regarding the Javadoc: I'm not sure there's any sense in trying to fix the
> Javadoc comments in the source code, as this is a snapshot of BCEL that
> works with FindBugs 3.0. Instead I've disabled doclint. One day, I'm hoping
> this package will disappear altogether :)

Sorry, but you must increase javac source to 1.6.
There is a bug open for this scope but now i forgot the number,
ask to mizdebsk @ #fedora-java irc channel.

Comment 6 Fedora Update System 2015-06-11 17:35:16 UTC
findbugs-bcel-6.0-0.3.20140707svn1547656.fc22,findbugs-3.0.1-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/findbugs-bcel-6.0-0.3.20140707svn1547656.fc22,findbugs-3.0.1-2.fc22

Comment 7 Fedora Update System 2015-06-11 17:35:17 UTC
findbugs-bcel-6.0-0.3.20140707svn1547656.fc21,findbugs-3.0.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/findbugs-bcel-6.0-0.3.20140707svn1547656.fc21,findbugs-3.0.1-2.fc21

Comment 8 Fedora Update System 2015-06-13 06:35:01 UTC
Package findbugs-bcel-6.0-0.3.20140707svn1547656.fc21, findbugs-3.0.1-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing findbugs-bcel-6.0-0.3.20140707svn1547656.fc21 findbugs-3.0.1-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9845/findbugs-bcel-6.0-0.3.20140707svn1547656.fc21,findbugs-3.0.1-2.fc21
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2015-06-22 10:33:59 UTC
findbugs-bcel-6.0-0.3.20140707svn1547656.fc21, findbugs-3.0.1-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-07-03 18:48:12 UTC
findbugs-bcel-6.0-0.3.20140707svn1547656.fc22, findbugs-3.0.1-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.